unit hlavniFormular_f;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  Thlavniformular = class(TForm)
    OpenBtn: TButton;
    CloseBtn: TButton;
    Label1: TLabel;
    OpenModal: TButton;
    Label2: TLabel;
    ShowBtn: TButton;
    procedure OpenBtnClick(Sender: TObject);
    procedure CloseBtnClick(Sender: TObject);
    procedure OpenModalClick(Sender: TObject);
    procedure ShowBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  hlavniformular: Thlavniformular;

implementation

{$R *.dfm}
uses about_f, nemodal_f;

var aboutForm: TAboutForm = nil;

procedure Thlavniformular.OpenBtnClick(Sender: TObject);
begin
  if NemodalDlg = nil then                    //okno zatm neexistuje
     NemodalDlg := TNemodalDlg.Create(self);   //vytvoit okno
  NemodalDlg.Show;                            //zobrazit okno
end;

procedure Thlavniformular.CloseBtnClick(Sender: TObject);
begin
  NemodalDlg.Close;  //zavt formul
  NemodalDlg := nil;
end;

procedure Thlavniformular.OpenModalClick(Sender: TObject);
var modalAbout: TAboutForm;
begin
  modalAbout := TAboutForm.Create(self);
  modalAbout.ShowModal;
  modalAbout.Free;
end; //of OpenModalClick

procedure Thlavniformular.ShowBtnClick(Sender: TObject);
begin
  NemodalDlg.Show;
end;


end.
