unit main_f;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    MinSizeBtn: TButton;
    MaxSizeBtn: TButton;
    ResizeableCheck: TCheckBox;
    AutosizeCheckBox: TCheckBox;
    ResetBtn: TButton;
    procedure MinSizeBtnClick(Sender: TObject);
    procedure MaxSizeBtnClick(Sender: TObject);
    procedure ResizeableCheckClick(Sender: TObject);
    procedure AutosizeCheckBoxClick(Sender: TObject);
    procedure ResetBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.MinSizeBtnClick(Sender: TObject);
begin
  Constraints.MinHeight := Height;
  Constraints.MinWidth := Width;
end;

procedure TForm1.MaxSizeBtnClick(Sender: TObject);
begin
  Constraints.MaxHeight := Height;
  Constraints.MaxWidth := Width;
end;

procedure TForm1.ResizeableCheckClick(Sender: TObject);
begin
  if ResizeableCheck.Checked then
    BorderStyle:=bsSizeable
  else
    BorderStyle:=bsSingle;
end;

procedure TForm1.AutosizeCheckBoxClick(Sender: TObject);
begin
  AutoSize:=AutosizeCheckBox.Checked;
end;

procedure TForm1.ResetBtnClick(Sender: TObject);
begin
  Constraints.MaxHeight:= 0;
  Constraints.MinHeight:= 0;
  Constraints.MinWidth := 0;
  Constraints.MaxWidth := 0;
end;

end.
