unit dragdrop_f;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Label4: TLabel;
    procedure Label1EndDrag(Sender, Target: TObject; X, Y: Integer);
    procedure Button1DragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure Panel1EndDrag(Sender, Target: TObject; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Label1EndDrag(Sender, Target: TObject; X, Y: Integer);
begin
  if (target<>nil) and (target is TButton) then
    (target as TButton).Caption :=(Sender as TLabel).Caption;
end;

procedure TForm1.Button1DragOver(Sender, Source: TObject; X, Y: Integer;
  State: TDragState; var Accept: Boolean);
begin
  Accept := (Source is TLabel) or (Source is TPanel);
end;

procedure TForm1.Panel1EndDrag(Sender, Target: TObject; X, Y: Integer);
begin
 if (target<>nil) and (target is TButton) then
    (target as TButton).Font := (Sender as TPanel).Font;
end;

end.
