unit dropFiles_f;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    ListBox1: TListBox;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
     procedure WMDropFiles(var msg:TWMDropFiles); message WM_DROPFILES;
   { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

USES shellAPI;

procedure TForm1.WMDropFiles(var msg:TWMDropFiles);
var
  nFiles,I: Integer;
  fname: string;
  size:Integer;
begin
  try
    //Zjistit poet petaench soubor
    nFiles := DragQueryFile(msg.Drop, $FFFFFFFF, nil, 0);
    //postupn pro vechny soubory...
    for i:=0 to nFiles - 1 do
      begin
        //zjistit dlku jmna
        size:=DragQueryFile(msg.Drop,0,nil,0)+1;
        //nastavit dlku etzce
        setLength(fname,size);
        //zjistit jmno souboru
        DragQueryFile(msg.Drop, i , pchar(fname), size);
        //prvn soubor otevt v komponent Memo
        if i = 0 then Memo1.Lines.LoadFromFile(fname);
        //Pidat jmno do seznamu
        ListBox1.Items.Add(fname);
      end;
    //vrtit nulu
    msg.result:=0;
  finally
    //dokonit taen
    dragfinish(msg.Drop);
  end;
end;


procedure TForm1.FormCreate(Sender: TObject);
begin
  //Pihlsit se k odbru zprv WM_DROPFILES
  DragAcceptFiles(Handle,true);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  //zruit pijmn zprv WM_DROPFILES
  DragAcceptFiles(Handle,false);
end;

procedure TForm1.ListBox1Click(Sender: TObject);
begin
  Memo1.Lines.LoadFromFile(ListBox1.Items.Strings[ListBox1.ItemIndex]);
end;

end.
