unit sysMenu_f;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    CheckBox1: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure OnSystemMenu(var Msg: TWMSysCommand); message wm_SysCommand;
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

const
  idInfoItem = 1000;

procedure TForm1.FormCreate(Sender: TObject);
begin
  AppendMenu(GetSystemMenu(Handle, False), MF_SEPARATOR, 0, '');
  AppendMenu(GetSystemMenu(Handle, False), MF_STRING, idInfoItem, '&Info...');
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  getSystemMenu(handle, TRUE);
end;

procedure TForm1.OnSystemMenu(var Msg: TWMSysCommand);
var state:Cardinal;
begin
  if Msg.CmdType = idInfoItem then     //pokud je vybrna sprvn poloka
    begin
      state := GetMenuState(GetSystemMenu(Handle, False), //zjistit jej stav
                            idInfoItem, MF_BYCOMMAND);

      if (state and MF_CHECKED)=MF_CHECKED then  //vymaskovat ostatn hodnoty
         ShowMessage('Poloka je zakrtnut')    //a zjistit tak, zda je poloka
      else                                       //zakrtnut i nikoli.
         ShowMessage('Poloka nen zakrtnut');
    end;

  inherited;                     //Obslouit pkazy definovan ve td pedka
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  if CheckBox1.Checked then
        CheckMenuItem(GetSystemMenu(Handle, False), idInfoItem, MF_CHECKED)
  else
        CheckMenuItem(GetSystemMenu(Handle, False), idInfoItem, MF_UNCHECKED);
end;

end.
