unit iniProhlizec_f;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, IniFiles;

type
  TForm1 = class(TForm)
    SectionList: TListBox;
    KeyList: TListBox;
    Label1: TLabel;
    Label2: TLabel;
    CheckBox1: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure SectionListClick(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
    iniFile: TIniFile;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


procedure TForm1.FormCreate(Sender: TObject);
begin
 iniFile:=TIniFile.Create('win.ini');     //vytvoen instance tdy TIniFile
 iniFile.ReadSections(SectionList.Items); //naten jmen sekc do seznamu

 Caption:= iniFile.FileName; //v zhlav okna zobrazit jmno souboru
end;

procedure TForm1.SectionListClick(Sender: TObject);
begin
  KeyList.Clear;                  //odstranit pedchoz poloky
  if (CheckBox1.Checked) then     //pokud je polko zakrtl
                                  //vypsat pouze nzvy kl
    iniFile.ReadSection(SectionList.Items[SectionList.ItemIndex],
                        KeyList.Items)
  else                          //jinak vypsat cel obsah sekce
    iniFile.ReadSectionValues(SectionList.Items[SectionList.ItemIndex],
                              KeyList.Items);

end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  SectionListClick(sender); // obnoven obsahu seznamu kl
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  iniFile.Free;
end;

end.
